## org.apache.commons.configuration.plist
Class PropertyListParserTokenManager

    java.lang.Object
      org.apache.commons.configuration.plist.PropertyListParserTokenManager

All Implemented Interfaces:
  PropertyListParserConstants

     class PropertyListParserTokenManager

extends Object
implements PropertyListParserConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`PrintStream` `debugStream`
`(package private) int` `defaultLexState`
`protected SimpleCharStream` `input_stream`
`(package private) static long[]` `jjbitVec0`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`static String[]` `jjstrLiteralImages`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoToken`
`static String[]` `lexStateNames`

Fields inherited from interface org.apache.commons.configuration.plist.PropertyListParserConstants
`ARRAY_BEGIN, ARRAY_END, ARRAY_SEPARATOR, DATA, DATA_END, DATA_START, DEFAULT, DICT_BEGIN, DICT_END, DICT_SEPARATOR, EOF, EQUAL, ESCAPED_QUOTE, HEXA, LETTER, QUOTE, QUOTED_STRING, STRING, tokenImage, WHITE`

Constructor Summary
`PropertyListParserTokenManager(SimpleCharStream stream)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### PropertyListParserTokenManager

    public PropertyListParserTokenManager(SimpleCharStream stream)

Method Detail

### ReInit

    public void ReInit(SimpleCharStream stream)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.